## org.omg.CORBA.ContainerPackage
Class DescriptionHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ContainerPackage.DescriptionHelper

public class DescriptionHelper
extends java.lang.Object

Helper class for : Description

Author:
  OpenORB Compiler

Constructor Summary
`DescriptionHelper()`

Method Summary
`static Description` `extract(Any a)` Extract Description from an any
`static java.lang.String` `id()` Return the Description IDL ID
`static void` `insert(Any a, Description t)` Insert Description into an any
`static Description` `read(InputStream istream)` Read Description from a marshalled stream
`static TypeCode` `type()` Return the Description TypeCode
`static void` `write(OutputStream ostream, Description value)` Write Description into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DescriptionHelper

    public DescriptionHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Description t)

  Insert Description into an any
  Parameters:
    `a` - an any
    `t` - Description value

### extract

    public static Description extract(Any a)

  Extract Description from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted Description value

### type

    public static TypeCode type()

  Return the Description TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the Description IDL ID
  Returns:
    an ID

### read

    public static Description read(InputStream istream)

  Read Description from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed Description value

### write

    public static void write(OutputStream ostream,
                             Description value)

  Write Description into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - Description value